## States
# 0 : Dead
# 1 : Born
# 2 : Sneak
# 3 : Idle
# 4 : Walk
# 5 : Run
# 6 : Jump
# 9 : Die
# 12 : punch_1
# 13 : punch_2
## OW = Over Writable

# Effects
effect give @s invisibility infinite 0 true
effect give @s fire_resistance infinite 0 true

# Health System
bossbar set minecraft:attack_health players @a[distance=..50]
# Apply damage then carrier is hurt
execute if predicate snc:is_hurt unless score state attack_vars matches 9 run function snc:shifters/mobs/attack/body/check_block

# Stop when attacks
execute if score state attack_vars matches 10.. run effect give @s slowness 1 6 true

## Move!
execute if score state attack_vars matches 2..5 run function snc:shifters/mobs/attack/action/movement/move

## Jump
execute if score state attack_vars matches 2..5 if score on_floor attack_vars matches 1 run function snc:shifters/mobs/attack/action/movement/jump

## Height
function snc:shifters/mobs/attack/action/movement/height

## If nothing is riding then kill
execute unless data entity @s Passengers run function snc:controller/kill_mob