# Spawn
execute unless score state attack_vars matches 1.. run function snc:shifters/mobs/attack/spawn/init

## Health system
# When doesn't have absortion then add tag 'injured'
execute store result score health attack_vars run data get entity @s AbsorptionAmount
execute store result bossbar attack_health value run scoreboard players get health attack_vars
# Kill when life is 0
execute if score health attack_vars matches ..0 if entity @s[tag=transform] run function snc:shifters/mobs/attack/remove/transform_when_hurt
# Kill when time runs out
execute if score minutes attack_vars matches ..0 if score seconds attack_vars matches ..0 if entity @s[tag=transform] run function snc:shifters/mobs/attack/remove/transform
# Kill when is not riding
#execute unless score state attack_vars matches 100 unless predicate snc:is_riding run function snc:shifters/#mobs/attack/remove/transform
execute unless predicate snc:is_riding run function snc:shifters/mobs/attack/animate/sneak

# Rotation
execute store result score player_rotation attack_vars run data get entity @s Rotation[0]

effect give @s invisibility 2 0 true
effect give @s resistance 3 2 true
effect give @s saturation 1 0 true

# Select Attack If is not attacking
execute unless score state attack_vars matches 10.. if score @s using_carrot matches 1.. run function snc:shifters/select_using_carrot

# Bite
execute if score consume attack_vars matches 0..20 run function snc:shifters/mobs/attack/animate/bite
execute if score consume attack_vars matches 61..220 run function snc:shifters/mobs/attack/animate/roar
execute if score consume attack_vars matches 0.. run scoreboard players remove consume attack_vars 1

# Combo!
# combo_punch: 1 = enabled, 2 = trigger, 3 = enabled, 4 = trigger
execute if score combo_punch attack_vars matches 1 if score @s using_carrot matches 1.. as @s[predicate=snc:attack/has_atk_2] run scoreboard players set combo_punch attack_vars 2
execute if score combo_punch attack_vars matches 3 if score @s using_carrot matches 1.. as @s[predicate=snc:attack/has_atk_2] run scoreboard players set combo_punch attack_vars 4
# combo_kick: 1 = enabled, 2 = trigger, 3 = enabled, 4 = trigger
execute if score combo_kick attack_vars matches 1 if score @s using_carrot matches 1.. as @s[predicate=snc:attack/has_atk_4] run scoreboard players set combo_kick attack_vars 2
execute if score combo_kick attack_vars matches 3 if score @s using_carrot matches 1.. as @s[predicate=snc:attack/has_atk_4] run scoreboard players set combo_kick attack_vars 4