#> snc:shifters/mobs/cart/remove/cart
# Kills the entity and gives inherits the shifter, if it can.
#
# @input
#   execute if score @s death matches 1..
#
# @output
#   Entity is killed and the shifter is given to an entity or the world

execute as @s[tag=transform] run function snc:shifters/select_remove_transform

## Display who killed
# Fanfo
execute if score curse cart_vars matches ..0 run tellraw @a ["",{"translate":"aot.titan.cart","color":"light_purple"}," ",{"translate":"aot.curse.desc1","color":"dark_red"}]

# Shifter
execute if score curse cart_vars matches 1.. run tellraw @a ["",{"selector":"@s","color":"white"}," ",{"translate":"aot.curse.desc2","color":"red"}," ",{"translate":"aot.titan.cart","color":"light_purple"}]

bossbar remove cart_health
tag @s remove consume

team leave @s
#scoreboard players reset @s shifter_vars
execute if score prevent cart_vars matches 1 run scoreboard players reset @s cart_vars
execute if entity @s[tag=inherit] run scoreboard players reset @s cart_vars
execute unless entity @s[tag=inherit] unless score prevent cart_vars matches 1 run scoreboard players reset * cart_vars
tag @s remove inherit

function snc:shifters/revoke_adv

execute if score prevent cart_vars matches 1 run tellraw @a ["Warning: ",{"text":"Server count 2 shifters of the same type!","color":"yellow"}]
execute unless score prevent cart_vars matches 1 if score cart_doesnt_exists shifter_vars matches ..0 run scoreboard players add cart_doesnt_exists shifter_vars 1

scoreboard players reset prevent cart_vars

scoreboard players set minutes cart_vars 5
scoreboard players set seconds cart_vars 1

##execute unless score @s death matches 1 run kill @s